Skip to Content

Rename Namespace

Rename an existing namespace. The 'default' namespace cannot be renamed.

PUT
/namespaces/{namespace_id}

Rename an existing namespace. The default namespace cannot be renamed.

Example Request

curl -X PUT "https://api.vidnavigator.com/v1/namespaces/64a1b2c3d4e5f6789abc0003" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Product Demos"
  }'

Success Response

{
  "status": "success",
  "message": "Namespace renamed successfully"
}

API reference

Authorization

ApiKeyAuth
headerX-API-Key<token>

API key authentication. Include your VidNavigator API key in the X-API-Key header.

Path Parameters

namespace_id*string

The ID of the namespace to rename

Request Body

application/json
  1. body
name*string

New name for the namespace

Response Body

Namespace renamed successfully

application/json
  1. response
status?"success"
Value in"success"
message?string
Example Request
curl -X PUT 'https://api.vidnavigator.com/v1/namespaces/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "Product Demos"}'
Example Response
{  "status": "success",  "message": "string"}

On this page